%define name		multi-gnome-terminal
%define version		1.6.2
%define release		3mdk
%define Summary		The Enhanced GNOME Terminal.
%define Group		Terminals
%define iconname	%{name}.png
%define localstatedir   /var/lib
 
%define	pty_helper_xs	2755
%define pty_helper_user	root
%define	pty_helper_grp	utmp

Summary:		%{Summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			%{Group}
Source:			http://multignometerm.sf.net/%{name}-%{version}.tar.bz2
# (fc) 1.5.2-2mdk use DTD compliant OMF file
Patch0:			multi-gnome-terminal-1.5.2-omffix.patch.bz2
Patch1:			multi-gnome-terminal-1.6.2-gcc34.patch.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:			http://multignometerm.sf.net
Prefix:			%{_prefix}
PreReq: 		scrollkeeper >= 0.3
BuildRequires:		flex
BuildRequires:		gcc
BuildRequires:		libglade-devel
BuildRequires:		scrollkeeper >= 0.3

BuildRequires:		ImageMagick, gtk-doc
Requires:		common-licenses
BuildRequires:		gdk-pixbuf-devel >= 0.7.0, gtk+-devel >= 1.2.5, gnome-libs-devel >= 1.0.59
Requires:		gdk-pixbuf	 >= 0.7.0, gtk+       >= 1.2.5, gnome-libs       >= 1.0.59

%description
Multi Gnome Terminal is an enhanced version of gnome-terminal which has
the following features added:
- Many terminals in each window
- Switch between terminals using shortcuts
- Execution of user defined commands in new terminals (Customizable menus)
- Notification of terminals states using customizable colors for tabs text.
 
All these extensions are inspired by screen and konsole (the KDE2 terminal)
and are undoubtly very useful to each user.

%prep
%setup -q
%patch0 -p1 -b .omffix
%patch1 -p0
#needed by patch0
export FORCE_AUTOCONF_2_5=1
aclocal-1.7 -I /usr/share/aclocal/gnome-macros
autoconf-2.5x
automake-1.7 -a

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Menu stuff
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir},%{_menudir}}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}" \
	icon="%{iconname}" \
	title="Multi-Gnome-Terminal" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="System/Terminals"
EOF

convert pixmaps/multignometerm.png -geometry 16 %{buildroot}%{_miconsdir}/%{iconname}
convert pixmaps/multignometerm.png -geometry 32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/multignometerm.png -geometry 48 %{buildroot}%{_liconsdir}/%{iconname}

%find_lang %name --with-gnome

# Remove files, which will not be packaged
rm -fr %{buildroot}%{_infodir}
rm -fr %{buildroot}/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %name.lang
%defattr (-, root, root)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/CORBA/servers/multi-gnome-terminal.gnorba
%{_bindir}/%{name}
%{_bindir}/mgt-helper
%attr(%{pty_helper_xs}, %{pty_helper_user}, %{pty_helper_grp}) %{_sbindir}/mgt-pty-helper

%{_datadir}/gnome/apps/System/multi-gnome-terminal.desktop
%{_datadir}/idl/MultiTerminal.idl
%{_datadir}/mgt
%{_datadir}/omf/mgt
%{_datadir}/pixmaps/mgt

%{_mandir}/*/%{name}*
%{_mandir}/man1/mgt-helper.1*

%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%changelog
* Sat Jul 17 2004 Charles A Edwards <eslrahc@mandrake.org> 1.6.2-3mdk 
- fix section in menu
- from Michael Scherer <misc@mandrake.org>  
  - rebuild for new gcc ( patch 0 )
  - rework autconf generation ( patch0 )

* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-2mdk
- from Charles A Edwards <eslrahc@bellsouth.net>
  - use define Summary/Group so menu entries are correct if debug pkg is built

* Wed May 21 2003 Levi Ramsey <levi@cygnetnet.net> 1.6.2-1mdk
- New version: 1.6.2

* Fri Dec 27 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.6.1-2mdk
- Rebuild for new glibc and new macros

* Tue Nov 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.6.1-1mdk
- 1.6.1

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.2-2mdk
- Patch0: use DTD compliant OMF file and fix OMF file names..

* Fri Jul 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Wed Jul  3 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.5.1-1mdk
- 1.5.1 and back to a normal Release: scheme ;)

* Sat Jun 15 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.5.0-3.final.mdk
- 1.5.0 - final.  This time for sure! ;)  I'm sorry for the 
  strange version scheme...

* Thu Jun 13 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.5.0-2.rc4.mdk
- rc4 of 1.5.0 - This is a newer release than the 1.5.0-1mdk!

* Thu May 16 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.5.0-1mdk
- 1.5.0

* Tue Apr 30 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.4.1-1mdk
- 1.4.1
- Keybindings are now also usable in KDE (3?), or rather, if NumLock is on

* Sun Apr 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.4.0-1mdk
- 1.4.0

* Tue Feb 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.13-2mdk
- Fix access rights for %{_sbindir}/mgt-pty-helper

* Tue Feb 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.13-1mdk
- 1.3.13

* Wed Feb 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.12-2mdk
- use find-lang for help files
- clean up requires

* Tue Feb 19 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.12-1mdk
- 1.3.12: Should work with gnome-libs 1.4.1.4 again
- Undo Stefan's BuildRequires changes
- Use %%configure2_5x instead of plain %%configure

* Fri Feb 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.3.11-2mdk
- BuildRequires

* Thu Feb 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11

* Tue Feb  5 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.10-2mdk
- MGT needed to be rebuilt for new Gnome

* Sat Jan 12 2002 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.10-1mdk
- 1.3.10

* Tue Dec 25 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.8-1mdk
- 1.3.8

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.5-1mdk
- First release for Mandrake Contribs

* Thu Nov 01 2001 De Michele Cristiano <demichel@na.infn.it>
- Built 1.3.4 Release which fixes keybindings bug and adds some minor enhancements
* Thu Oct 11 2001 De Michele Cristiano <demichel@na.infn.it>
- Built 1.3.0 Release	
* Sun Oct 01 2001 De Michele Cristiano <demichel@na.infn.it>
- Built 1.2.4 Release
